<?php

namespace WPPayFormPro\GateWays\Addons;

class Viavawallet
{
    public function init() {
        // insatllation url fo this add-on
        // $url = wp_nonce_url(
        //     self_admin_url('update.php?action=install-plugin&plugin=fluentforms-pdf'),
        //     'install-plugin_fluentforms-pdf'
        // );
        // in case we host it on wordpress org
        add_filter('wppayform_payment_method_settings', function($settings){
             $settings['vivawallet'] = array (
                'title' => 'Viva Wallet',
                'route_name' => 'vivawallet',
                'route_query' => [],
                'svg' => WPPAYFORM_URL .'assets/images/gateways/vivawallet.svg',
             );
            return $settings;
        }, 10, 1);

        $url = 'https://api.github.com/repos/WPManageNinja/vivawallet-payment-for-paymattic/zipball/1.0.0';

        $latestRelease = AddonHelper::checkUpdateFromGithub('vivawallet-payment-for-paymattic', 'WPManageNinja', false);

        if ($latestRelease['url']) {
            $url = $latestRelease['url'];
        }

        add_filter('wppayform_payment_method_settings_routes', function($routes) use ($url) {
            $routes[] = array (
               'path' => 'vivawallet',
               'name' => 'vivawallet',
               'meta' => [
                    'title' => 'Viva Wallet',
                    'Addon' => 'yes',
                    'addon_slug' =>  'vivawallet-payment-for-paymattic',
                    'source' => 'github',
                    'url' => $url
                ]
            );
           return $routes;
       }, 10, 1);
    }
}