<?php

namespace WPPayFormPro\GateWays\Addons;

class Xendit
{
    public function init() {
        add_filter('wppayform_payment_method_settings', function($settings){
             $settings['xendit'] = array (
                'title' => 'Xendit',
                'route_name' => 'xendit',
                'route_query' => [],
                'svg' => WPPAYFORM_URL .'assets/images/gateways/xendit.svg',
             );
            return $settings;
        }, 10, 1);

        $url = 'https://api.github.com/repos/WPManageNinja/xendit-payment-for-paymattic/zipball/1.0.0';

        $latestRelease = AddonHelper::checkUpdateFromGithub('xendit-payment-for-paymattic', 'WPManageNinja', false);

        if ($latestRelease['url']) {
            $url = $latestRelease['url'];
        }

        add_filter('wppayform_payment_method_settings_routes', function($routes) use ($url) {
            $routes[] = array (
               'path' => 'xendit',
               'name' => 'xendit',
               'meta' => [
                    'title' => 'Xendit',
                    'Addon' => 'yes',
                    'addon_slug' =>  'xendit-payment-for-paymattic',
                    'source' => 'github',// For testing purposes give source github and github url instead
                    'url' => $url
                ]
            );
           return $routes;
       }, 10, 1);
    }
}